libtls: Only run socket tests with EdDSA keys if they are supported
authorTobias Brunner <tobias@strongswan.org>
Thu, 14 Jan 2021 14:45:34 +0000 (15:45 +0100)
committerTobias Brunner <tobias@strongswan.org>
Fri, 12 Feb 2021 13:35:23 +0000 (14:35 +0100)
commita00ace0fe2bebd35fe868d070f7fe465f6650964
tree1b2ada04bac9d752ac6251be33b33577ff144ebe
parent7b64880a8c5a2ff5cd1f0827d81465f9b6064055
libtls: Only run socket tests with EdDSA keys if they are supported

ECDSA support is currently required to run the tests because ECDSA
cipher suites are not filtered when determining the supported cipher
suites.  Also required are ECDH groups.
src/libtls/tests/suites/test_socket.c
src/libtls/tests/tls_tests.h